#include<bits/stdc++.h>
using namespace std;

int main(){
    int n;
    cin >> n;
    vector<int> x(n);
    vector<int> y(n);
    vector<int> z(n);
    for(int i = 0; i < n; i++){
        cin >> x[i];
    }
    for(int i = 0; i < n; i++){
        cin >> y[i];
    }
    for(int i = 0; i < n; i++){
        cin >> z[i];
    }

    int brojac = 0;
    for(int i = 1; i <= n; i++){
        for(int j = 1; j <= n; j++){
            if(x[i-1] == y[(z[j-1]-1)]){
                brojac++;
            }
        }
    }
    cout << brojac;
}